diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc ns-3.43/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc
--- ns-3.42/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/propagation-loss-model-test-suite.cc ns-3.43/src/propagation/test/propagation-loss-model-test-suite.cc
--- ns-3.42/src/propagation/test/propagation-loss-model-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/propagation-loss-model-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc ns-3.43/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc
--- ns-3.42/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2023 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc ns-3.43/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc
--- ns-3.42/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc ns-3.43/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc
--- ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
@@ -83,6 +72,8 @@
     mobility.Install(nodes);
 
     LrWpanHelper lrWpanHelper;
+    lrWpanHelper.SetPropagationDelayModel("ns3::ConstantSpeedPropagationDelayModel");
+    lrWpanHelper.AddPropagationLossModel("ns3::LogDistancePropagationLossModel");
     // Add and install the LrWpanNetDevice for each node
     NetDeviceContainer lrwpanDevices = lrWpanHelper.Install(nodes);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan.cc ns-3.43/src/sixlowpan/examples/example-ping-lr-wpan.cc
--- ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/examples/example-ping-lr-wpan.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
@@ -78,6 +67,8 @@
     mobility.Install(nodes);
 
     LrWpanHelper lrWpanHelper;
+    lrWpanHelper.SetPropagationDelayModel("ns3::ConstantSpeedPropagationDelayModel");
+    lrWpanHelper.AddPropagationLossModel("ns3::LogDistancePropagationLossModel");
     // Add and install the LrWpanNetDevice for each node
     NetDeviceContainer lrwpanDevices = lrWpanHelper.Install(nodes);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan-mesh-under.cc ns-3.43/src/sixlowpan/examples/example-ping-lr-wpan-mesh-under.cc
--- ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan-mesh-under.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/examples/example-ping-lr-wpan-mesh-under.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
@@ -78,6 +67,8 @@
     mobility.Install(wsnNodes);
 
     LrWpanHelper lrWpanHelper;
+    lrWpanHelper.SetPropagationDelayModel("ns3::ConstantSpeedPropagationDelayModel");
+    lrWpanHelper.AddPropagationLossModel("ns3::LogDistancePropagationLossModel");
     // Add and install the LrWpanNetDevice for each node
     NetDeviceContainer lrwpanDevices = lrWpanHelper.Install(wsnNodes);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/examples/example-sixlowpan.cc ns-3.43/src/sixlowpan/examples/example-sixlowpan.cc
--- ns-3.42/src/sixlowpan/examples/example-sixlowpan.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/examples/example-sixlowpan.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/helper/sixlowpan-helper.cc ns-3.43/src/sixlowpan/helper/sixlowpan-helper.cc
--- ns-3.42/src/sixlowpan/helper/sixlowpan-helper.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/helper/sixlowpan-helper.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/helper/sixlowpan-helper.h ns-3.43/src/sixlowpan/helper/sixlowpan-helper.h
--- ns-3.42/src/sixlowpan/helper/sixlowpan-helper.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/helper/sixlowpan-helper.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/model/sixlowpan-header.cc ns-3.43/src/sixlowpan/model/sixlowpan-header.cc
--- ns-3.42/src/sixlowpan/model/sixlowpan-header.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/model/sixlowpan-header.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  *         Michele Muccio <michelemuccio@virgilio.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/model/sixlowpan-header.h ns-3.43/src/sixlowpan/model/sixlowpan-header.h
--- ns-3.42/src/sixlowpan/model/sixlowpan-header.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/model/sixlowpan-header.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  *         Michele Muccio <michelemuccio@virgilio.it>
@@ -46,8 +35,8 @@
 {
   public:
     /**
-     *  \brief Dispatch values, as defined in \RFC{4944} and \RFC{6282}
-    \verbatim
+     * \brief Dispatch values, as defined in \RFC{4944} and \RFC{6282}
+     \verbatim
        Pattern    Header Type
      +------------+------------------------------------------------+
      | 00  xxxxxx | NALP        - Not a LoWPAN frame               |
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/model/sixlowpan-net-device.cc ns-3.43/src/sixlowpan/model/sixlowpan-net-device.cc
--- ns-3.42/src/sixlowpan/model/sixlowpan-net-device.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/model/sixlowpan-net-device.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  *         Michele Muccio <michelemuccio@virgilio.it>
@@ -149,7 +138,7 @@
     NS_LOG_DEBUG("RegisterProtocolHandler for " << device->GetInstanceTypeId().GetName());
 
     uint16_t protocolType = PROT_NUMBER;
-    if (device->GetInstanceTypeId().GetName() == "ns3::LrWpanNetDevice")
+    if (device->GetInstanceTypeId().GetName().find("LrWpanNetDevice") != std::string::npos)
     {
         // LrWpanNetDevice does not have a protocol number in the frame.
         // Hence, we must register for any protocol, and assume that any
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/model/sixlowpan-net-device.h ns-3.43/src/sixlowpan/model/sixlowpan-net-device.h
--- ns-3.42/src/sixlowpan/model/sixlowpan-net-device.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/model/sixlowpan-net-device.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  *         Michele Muccio <michelemuccio@virgilio.it>
@@ -178,6 +167,7 @@
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     typedef void (*RxTxTracedCallback)(Ptr<const Packet> packet,
                                        Ptr<SixLowPanNetDevice> sixNetDevice,
                                        uint32_t ifindex);
@@ -193,6 +183,7 @@
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     typedef void (*DropTracedCallback)(DropReason reason,
                                        Ptr<const Packet> packet,
                                        Ptr<SixLowPanNetDevice> sixNetDevice,
@@ -320,6 +311,7 @@
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, Ptr<SixLowPanNetDevice>, uint32_t> m_txTrace;
 
     /**
@@ -333,6 +325,7 @@
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, Ptr<SixLowPanNetDevice>, uint32_t> m_rxTrace;
 
     /**
@@ -347,6 +340,7 @@
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     TracedCallback<DropReason, Ptr<const Packet>, Ptr<SixLowPanNetDevice>, uint32_t> m_dropTrace;
 
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/test/mock-net-device.cc ns-3.43/src/sixlowpan/test/mock-net-device.cc
--- ns-3.42/src/sixlowpan/test/mock-net-device.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/test/mock-net-device.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/test/mock-net-device.h ns-3.43/src/sixlowpan/test/mock-net-device.h
--- ns-3.42/src/sixlowpan/test/mock-net-device.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/test/mock-net-device.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/test/sixlowpan-fragmentation-test.cc ns-3.43/src/sixlowpan/test/sixlowpan-fragmentation-test.cc
--- ns-3.42/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/test/sixlowpan-hc1-test.cc ns-3.43/src/sixlowpan/test/sixlowpan-hc1-test.cc
--- ns-3.42/src/sixlowpan/test/sixlowpan-hc1-test.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/test/sixlowpan-hc1-test.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc ns-3.43/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc
--- ns-3.42/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/sixlowpan/test/sixlowpan-iphc-test.cc ns-3.43/src/sixlowpan/test/sixlowpan-iphc-test.cc
--- ns-3.42/src/sixlowpan/test/sixlowpan-iphc-test.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/sixlowpan/test/sixlowpan-iphc-test.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/adhoc-aloha-ideal-phy.cc ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy.cc
--- ns-3.42/src/spectrum/examples/adhoc-aloha-ideal-phy.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc
--- ns-3.42/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc
--- ns-3.42/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
